
Foreman - Bug #376

parameter sti broke host parameter multiple assignment 

09/12/2010 09:51 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category:    

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Processing HostsController#multiple_parameters (for 10.35.1.26 at 2010-09-12 10:50:46) [GET]

  Parameters: {"action"=>"multiple_parameters", "controller"=>"hosts"}

ActiveRecord::StatementInvalid (SQLite3::SQLException: no such column: parameters.host_id: SELECT 

DISTINCT name FROM "parameters" WHERE ("parameters"."host_id" IN (2,3,5,1)) ):

  app/controllers/hosts_controller.rb:229:in `multiple_parameters'

  /usr/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

  /usr/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

  /usr/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

  /usr/lib/ruby/1.8/webrick/server.rb:162:in `start'

  /usr/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

  /usr/lib/ruby/1.8/webrick/server.rb:95:in `start'

  /usr/lib/ruby/1.8/webrick/server.rb:92:in `each'

  /usr/lib/ruby/1.8/webrick/server.rb:92:in `start'

  /usr/lib/ruby/1.8/webrick/server.rb:23:in `start'

  /usr/lib/ruby/1.8/webrick/server.rb:82:in `start'

Rendering /usr/share/foreman/public/500.html (500 Internal Server Error)

Associated revisions

Revision dde34153 - 09/19/2010 01:19 PM - Paul Kelly

Fixes #376 - Broken multiple assignment

History

#1 - 09/16/2010 02:13 PM - Paul Kelly

- Status changed from New to Ready For Testing

- Branch set to bug/376-broken-multiple-assignment

Fixed the issue and added a test

#2 - 09/16/2010 02:53 PM - Paul Kelly

Fixed the issue with the extra map(&:name)

Added a test for multiple parameter updates

#3 - 09/16/2010 03:49 PM - Paul Kelly

Removed config.gem from environment.rb for production installations

Added "require 'shoulda'" to environments/test.rb for development installations. Developers will have to install the gem by hand.

#4 - 09/19/2010 01:25 PM - Paul Kelly

- % Done changed from 0 to 100

Applied in changeset dde34153852e25ad6dce1a8838e1dd3dbd1098b3.
#5 - 09/19/2010 03:03 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
